Bug 559 - Samba 3 reports 'directory does not exist' when trying to creating an already existing directory
Samba 3 reports 'directory does not exist' when trying to creating an already...
Product: Samba 3.0
Classification: Unclassified
Component: File Services
All Linux
: P3 normal
: none
Assigned To: Jeremy Allison
Depends on:
  Show dependency treegraph
Reported: 2003-10-03 10:10 UTC by Arnold Hendriks
Modified: 2005-11-14 09:27 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Arnold Hendriks 2003-10-03 10:10:30 UTC
since an upgrade to Samba 3 (the binary rpms samba-3.0.0-1from a 
samba download site, redhat 7.3) this morning, we've been 
experiencing problems with WinCVS on mounted network drives.

WinCVS reports that it cannot create a directory, even though the directory 
already exists. Although WinCVS obviously has an odd way of checking for 
existing directories, it never caused a problem in the past.

apparently, (one of) the following options is causing the problems (I 
can't do more detailed testings right now because too many people 
are working on the server) - we use these options to ensure proper 
permissions on all drives:

; create mode = 0664
; directory mode = 0774
; force create mode = 0664
; force directory mode = 0775 
; force security mode = 0644
; force directory security mode = 0775

when these options are not commented out, the following occurs 
when trying to "mkdir" an already existing directory:

02-10-2003  13:43       <DIR>          palm

Z:\>mkdir palm
The system cannot find the file specified.

when these options are commented out, we get the 'normal' error:

Z:\>mkdir palm
A subdirectory or file palm already exists.

although commenting out the options doesn't fix the issues with WinCVS
Comment 1 Jeremy Allison 2003-10-03 11:04:57 UTC
I think this is already fixed - I believe it was a side effect
of the bad error code propagation from the "Excel readonly file" issue.
I'm pretty sure this is fixed by the smbd/error.c patch.

Is there a way you can test this with the SAMBA_3_0 codetree ?

Comment 2 Arnold Hendriks 2003-10-03 13:21:08 UTC
The SAMBA_3_0 CVS version indeed fixes the directory creation error codes and 
the issues I've seen with WinCVS. 
Comment 3 Jeremy Allison 2003-10-03 13:53:03 UTC
Fixed by error code return fixes in SAMBA_3_0.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:17:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:27:36 UTC
database cleanup